Summary: E-mail white/black lists for SME Server 
%define name smeserver-wbl
Name: %{name}
%define version 0.5.0
%define release 02
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME Server/addon
Source: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-bz10948_manager.patch
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
#Requires: smeserver-manager => 0.1.0-23
Requires: smeserver-release => 10.0
Requires: qpsmtpd >= 0.96-19
AutoReqProv: no
#Patch0: smeserver-wbl-0.5.0-init.patch

%description
%name is an addon for SME Server that provides the following WBLs:
qpsmtpd check_badmailfrom /var/qmail/control/badmailfrom
qpsmtpd check_spamhelo /var/service/qpsmtpd/config/badhelo
qpsmtpd whitelist_soft /var/service/qpsmtpd/config/whitelisthosts whitelisthelo whitelistsenders
spamassassin /etc/mail/spammassassin/local.cf whitelist_from

%changelog
* Sat Nov  28 2020 Michel Begue <mab974@gmail.com> 0.5.0-02.sme
- Back to compatibility with e-smith-manager [SME: 10948]

* Mon Jun  08 2020 Michel Begue <mab974@gmail.com> 0.5.0-01.sme
- initial release for smeserver-manager (sme10)
- [0.3.0-19.sme9]

%prep
%setup
%patch0 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

